import React from "react";

const CrystalFacetedIcon: React.FC<{ size?: number; color?: string }> = ({ size = 50, color = "#28A745" }) => (
    <svg
        xmlns="http://www.w3.org/2000/svg"
        width={size}
        height={size}
        viewBox="0 0 24 24"
        fill={color}
    >
        {/* Facets */}
        <polygon points="12,2 19,9.5 12,22 5,9.5" fill={color} />
        <polygon points="12,2 5,9.5 19,9.5" fill="#e3f2fd" />
        <polygon points="12,22 19,9.5 5,9.5" fill="rgba(0,0,0,0.1)" />
    </svg>
);

export default CrystalFacetedIcon;